Skip to main content
`Ctrl`+`K`

# check_ucd

astropy.io.votable.ucd.check_ucd(ucd, check_controlled_vocabulary=False, has_colon=False)

  Returns False if ucd is not a valid unified content descriptor.

  Parameters:
    ucd `python:str`

      The UCD string

    check_controlled_vocabulary bool, optional

      If `True`, then each word in the UCD will be verified against the UCD1+ controlled vocabulary, (as required by the VOTable specification version 1.2), otherwise not.

    has_colon bool, optional

      If `True`, the UCD may contain a colon (as defined in earlier versions of the standard).

  Returns:
    valid bool